/**<pre>
 * Title: iSIM
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package map;

import java.util.*;

/* ====================================================================== */
/** This class
 *
 *  This is where we will create layers of rooms
 */
public class Building implements java.io.Serializable{


  	/** The list of openings in this building. */
  	private Vector floors = new Vector();


	private String name;


    /* ===================================================================== */
    /** This constructor initializes the
     *
     *
     */
  	public Building(String n){

		name = n;

	} //Constructor




    /* ===================================================================== */
    /** This method returns the
     *
     *  @return
     *
     */
	public String getName(){

		return name;

	} //method:


    /* ===================================================================== */
    /** This method sets the
     *
     *  @param
     *
     */
	public void setName(String n){

		name = n;

	} //method:


    /* ===================================================================== */
    /** This method returns the
     *
     *  @return
     *
     */
	public Vector getFloors(){

		return floors;

	} //method:



    /* ===================================================================== */
    /** This method sets the
     *
     *  @param
     *
     */
	public void addFloor(Floor f){

		floors.addElement(f);

	} //method:



} //class: Building

